更改API级Android Studio

时间 2013-10-19
阅读 540516
点赞 0
收藏 0
连接james-b

我想将Android Studio中的最低SDK版本从API 12更改为API 14。我尝试在清单文件中更改它,即,

<uses-sdk
    android:minSdkVersion="14"
    android:targetSdkVersion="18" />

重建项目,但我仍然让AndroidStudioIDE抛出一些错误。我想我必须在“项目属性”中设置min sdk,或者类似的设置,这样IDE才能识别更改,但我在Android Studio中找不到这样做的位置。

建议答案

为我工作的是:

我已重命名了一个ImageView,稍后还在文本视图中引用旧的ImageView名称:

在我的代码中,我改变了:

app:layout_constraintStart_toStartOf="@id/imageView3"

app:layout_constraintStart_toStartOf="@id/myImageView"

重建项目。我不知道这为什么解决了资源链接问题,但它解决了这个问题。

👍 0